---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libSetGetThreadLocalStorageStress.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x6B0, symBinAddr: 0xD50, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x29300, symBinAddr: 0x5070, symSize: 0x0 }
  - { offsetInCU: 0xA4, offset: 0xA4, size: 0x8, addend: 0x0, symName: _agent_wait_for_sync, symObjAddr: 0xE60, symBinAddr: 0x10A0, symSize: 0x240 }
  - { offsetInCU: 0x4E7, offset: 0x4E7, size: 0x8, addend: 0x0, symName: _monitor, symObjAddr: 0x29488, symBinAddr: 0x51E8, symSize: 0x0 }
  - { offsetInCU: 0x512, offset: 0x512, size: 0x8, addend: 0x0, symName: _is_vm_running, symObjAddr: 0x29490, symBinAddr: 0x51F0, symSize: 0x0 }
  - { offsetInCU: 0x527, offset: 0x527, size: 0x8, addend: 0x0, symName: __ZL20current_agent_status, symObjAddr: 0x29440, symBinAddr: 0x51A0, symSize: 0x0 }
  - { offsetInCU: 0x545, offset: 0x545, size: 0x8, addend: 0x0, symName: __ZL17agent_thread_proc, symObjAddr: 0x29448, symBinAddr: 0x51A8, symSize: 0x0 }
  - { offsetInCU: 0x917C, offset: 0x917C, size: 0x8, addend: 0x0, symName: __ZL16agent_thread_arg, symObjAddr: 0x29450, symBinAddr: 0x51B0, symSize: 0x0 }
  - { offsetInCU: 0x9195, offset: 0x9195, size: 0x8, addend: 0x0, symName: __ZL15agent_jvmti_env, symObjAddr: 0x29458, symBinAddr: 0x51B8, symSize: 0x0 }
  - { offsetInCU: 0x91AE, offset: 0x91AE, size: 0x8, addend: 0x0, symName: __ZL13agent_jni_env, symObjAddr: 0x29460, symBinAddr: 0x51C0, symSize: 0x0 }
  - { offsetInCU: 0x91C7, offset: 0x91C7, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x29468, symBinAddr: 0x51C8, symSize: 0x0 }
  - { offsetInCU: 0x9250, offset: 0x9250, size: 0x8, addend: 0x0, symName: __ZL18jvmti_agent_thread, symObjAddr: 0x29478, symBinAddr: 0x51D8, symSize: 0x0 }
  - { offsetInCU: 0x925D, offset: 0x925D, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x2620, symBinAddr: 0x2860, symSize: 0x3E0 }
  - { offsetInCU: 0x990A, offset: 0x990A, size: 0x8, addend: 0x0, symName: __ZL21GetVirtualThread_func, symObjAddr: 0x29480, symBinAddr: 0x51E0, symSize: 0x0 }
  - { offsetInCU: 0x99DB, offset: 0x99DB, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x1070, symSize: 0x30 }
  - { offsetInCU: 0x9C65, offset: 0x9C65, size: 0x8, addend: 0x0, symName: __Z17print_thread_infoP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x550, symBinAddr: 0xBF0, symSize: 0x160 }
  - { offsetInCU: 0xA1AE, offset: 0xA1AE, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x10A0, symBinAddr: 0x12E0, symSize: 0x70 }
  - { offsetInCU: 0xA287, offset: 0xA287, size: 0x8, addend: 0x0, symName: _agent_resume_sync, symObjAddr: 0x1110, symBinAddr: 0x1350, symSize: 0x1A0 }
  - { offsetInCU: 0xA7C6, offset: 0xA7C6, size: 0x8, addend: 0x0, symName: _Java_jdk_test_lib_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x12B0, symBinAddr: 0x14F0, symSize: 0x4F0 }
  - { offsetInCU: 0xB0FD, offset: 0xB0FD, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x2A10, symBinAddr: 0x2C50, symSize: 0xB0 }
  - { offsetInCU: 0xB174, offset: 0xB174, size: 0x8, addend: 0x0, symName: _Java_jdk_test_lib_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x17A0, symBinAddr: 0x19E0, symSize: 0x1A0 }
  - { offsetInCU: 0xB4CB, offset: 0xB4CB, size: 0x8, addend: 0x0, symName: __Z9check_tlsP9_jvmtiEnvP7JNIEnv_P8_jobjectPKc, symObjAddr: 0x1940, symBinAddr: 0x1B80, symSize: 0x180 }
  - { offsetInCU: 0xB75A, offset: 0xB75A, size: 0x8, addend: 0x0, symName: __Z16check_delete_tlsP9_jvmtiEnvP7JNIEnv_P8_jobjectPKc, symObjAddr: 0x1AC0, symBinAddr: 0x1D00, symSize: 0xE0 }
  - { offsetInCU: 0xB97C, offset: 0xB97C, size: 0x8, addend: 0x0, symName: __Z15check_reset_tlsP9_jvmtiEnvP7JNIEnv_P8_jobjectPKc, symObjAddr: 0x1BA0, symBinAddr: 0x1DE0, symSize: 0x190 }
  - { offsetInCU: 0xBC8D, offset: 0xBC8D, size: 0x8, addend: 0x0, symName: __Z6VMInitP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x1D30, symBinAddr: 0x1F70, symSize: 0xF0 }
  - { offsetInCU: 0xBE9E, offset: 0xBE9E, size: 0x8, addend: 0x0, symName: __Z7VMDeathP9_jvmtiEnvP7JNIEnv_, symObjAddr: 0x1E20, symBinAddr: 0x2060, symSize: 0xF0 }
  - { offsetInCU: 0xC0A4, offset: 0xC0A4, size: 0x8, addend: 0x0, symName: __Z11ThreadStartP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x1F10, symBinAddr: 0x2150, symSize: 0x120 }
  - { offsetInCU: 0xC318, offset: 0xC318, size: 0x8, addend: 0x0, symName: __Z9ThreadEndP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x2030, symBinAddr: 0x2270, symSize: 0x120 }
  - { offsetInCU: 0xC6B5, offset: 0xC6B5, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x2150, symBinAddr: 0x2390, symSize: 0x290 }
  - { offsetInCU: 0xCB38, offset: 0xCB38, size: 0x8, addend: 0x0, symName: __ZL18VirtualThreadStartP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x23E0, symBinAddr: 0x2620, symSize: 0x120 }
  - { offsetInCU: 0xCDAC, offset: 0xCDAC, size: 0x8, addend: 0x0, symName: __ZL16VirtualThreadEndP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x2500, symBinAddr: 0x2740, symSize: 0x120 }
  - { offsetInCU: 0xD143, offset: 0xD143, size: 0x8, addend: 0x0, symName: __ZL20agent_thread_wrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x2AC0, symBinAddr: 0x2D00, symSize: 0x60 }
  - { offsetInCU: 0xD1F9, offset: 0xD1F9, size: 0x8, addend: 0x0, symName: __ZL22set_agent_thread_state14thread_state_t, symObjAddr: 0x2B20, symBinAddr: 0x2D60, symSize: 0x162 }
...
